#include "SurvivorEndGameComponent.h"
#include "Net/UnrealNetwork.h"

void USurvivorEndGameComponent::OnEndGameSacrificeEnd()
{

}

void USurvivorEndGameComponent::OnDelayBeforeSacrificeEnd()
{

}

bool USurvivorEndGameComponent::GetSacrificedByEndGame() const
{
	return false;
}

void USurvivorEndGameComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(USurvivorEndGameComponent, _delayBeforeSacrifice);
	DOREPLIFETIME(USurvivorEndGameComponent, _readyToBeSacrificed);
}

USurvivorEndGameComponent::USurvivorEndGameComponent()
{
	this->_endGameEntityClass = NULL;
	this->_delayBeforeSacrifice = 0.000000;
	this->_readyToBeSacrificed = false;
}
